Package org.drinkless.tdlib

# Class TdApi.ConnectedWebsite

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ConnectedWebsite

Enclosing class:
  `TdApi`

public static class TdApi.ConnectedWebsite extends TdApi.Object
Contains information about one website the current user is logged in with Telegram.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  User identifier of a bot linked with the website.
  `String`
  `browser`
  The version of a browser used to log in.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `domainName`
  The domain name of the website.
  `long`
  `id`
  Website identifier.
  `String`
  `ipAddress`
  IP address from which the user was logged in, in human-readable format.
  `int`
  `lastActiveDate`
  Point in time (Unix timestamp) when obtained authorization was last used.
  `String`
  `location`
  Human-readable description of a country and a region from which the user was logged in, based on the IP address.
  `int`
  `logInDate`
  Point in time (Unix timestamp) when the user was logged in.
  `String`
  `platform`
  Operating system the browser is running on.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectedWebsite()`
  Contains information about one website the current user is logged in with Telegram.
  `ConnectedWebsite(long id, String domainName, long botUserId, String browser, String platform, int logInDate, int lastActiveDate, String ipAddress, String location)`
  Contains information about one website the current user is logged in with Telegram.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Website identifier.

  - ### domainName

    public String domainName
    The domain name of the website.

  - ### botUserId

    public long botUserId
    User identifier of a bot linked with the website.

  - ### browser

    public String browser
    The version of a browser used to log in.

  - ### platform

    public String platform
    Operating system the browser is running on.

  - ### logInDate

    public int logInDate
    Point in time (Unix timestamp) when the user was logged in.

  - ### lastActiveDate

    public int lastActiveDate
    Point in time (Unix timestamp) when obtained authorization was last used.

  - ### ipAddress

    public String ipAddress
    IP address from which the user was logged in, in human-readable format.

  - ### location

    public String location
    Human-readable description of a country and a region from which the user was logged in, based on the IP address.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConnectedWebsite

    public ConnectedWebsite()
    Contains information about one website the current user is logged in with Telegram.

  - ### ConnectedWebsite

    public ConnectedWebsite(long id, String domainName, long botUserId, String browser, String platform, int logInDate, int lastActiveDate, String ipAddress, String location)
    Contains information about one website the current user is logged in with Telegram.
    Parameters:
      `id` - Website identifier.
      `domainName` - The domain name of the website.
      `botUserId` - User identifier of a bot linked with the website.
      `browser` - The version of a browser used to log in.
      `platform` - Operating system the browser is running on.
      `logInDate` - Point in time (Unix timestamp) when the user was logged in.
      `lastActiveDate` - Point in time (Unix timestamp) when obtained authorization was last used.
      `ipAddress` - IP address from which the user was logged in, in human-readable format.
      `location` - Human-readable description of a country and a region from which the user was logged in, based on the IP address.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR